Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define name		xapool
%define version		1.5.0
%define release		1jpp


Name:		%{name}
Summary:	XAPOOL: open source XA Pool
Url:		http://xapool.experlog.com/
Version:	%{version}
Release:	alt3_1jpp5
Epoch:		0
License:	LGPL
Group:		Development/Java
BuildArch:	noarch
Source0:	xapool-%{version}-src.tgz

BuildRequires: jpackage-utils >= 0:1.5
BuildRequires: ant >= 0:1.6
BuildRequires: junit
#BuildRequires:  oracle-jdbc-thin-java14
BuildRequires: carol
#BuildRequires:  idb
BuildRequires: jakarta-commons-logging
BuildRequires: jotm
BuildRequires: jta
BuildRequires: log4j
BuildRequires: p6spy
Requires: carol
Requires: jakarta-commons-logging
Requires: jotm
Requires: log4j
Requires: p6spy


%description
XAPool is an open source XA Pool !
It allows to pool objects, JDBC connections 
and XA connections 

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}-src
chmod -R go=u-w *
find . -name "*.jar" -exec mv {} {}.no \;

%build

mv externals/classes12.jar.no externals/classes12.jar
pushd externals
#jonas_timer.jar
ln -sf $(build-classpath carol/ow_carol) .
#ln -sf $(build-classpath oracle-jdbc-thin) classes12.jar
ln -sf $(build-classpath commons-logging) .
#ln -sf $(build-classpath idb) .
ln -sf $(build-classpath jotm/jotm) .
ln -sf $(build-classpath jotm/jrmp-stubs) jotm_jrmp_stubs.jar
ln -sf $(build-classpath jta) jta-spec1_0_1.jar
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath p6spy) .
popd

#export OPT_JAR_LIST="owanttask"
ant -Dant.build.javac.source=1.4 -Dant.build.javac.target=1.4 
%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 output/dist/lib/%{name}.jar \
        $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/dist/jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%files
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Thu Feb 26 2009 Igor Vlasenko <viy@altlinux.ru> 0:1.5.0-alt3_1jpp5
- fixed build

* Sat Oct 18 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.5.0-alt2_1jpp5
- fixed build with java 5

* Thu Nov 22 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.5.0-alt1_1jpp1.7
- converted from JPackage by jppimport script

